Name: cockpit-files
Version: 13.15.gf241e77
Release: 1.20241216081419533339.pr879.15.gf241e77%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-13.15.gf241e77.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.11
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.12
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Mon Dec 16 2024 Packit <hello@packit.dev> - 13.15.gf241e77-1.20241216081419533339.pr879.15.gf241e77
- cockpit-ci: Update container to 2024-12-16 (Cockpit Project)
- cockpit-ci: Update container to 2024-12-14 (Cockpit Project)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- Apply PatternFly workaround dropped in Cockpit (Jelle van der Waa)
- Makefile: Update Cockpit lib to 35090b743b6b4536fc9c09cd9644c1c3 (Cockpit Project)
- Support uploading files with administrator privileges (Jelle van der Waa)
- Allow changing permissions of multiple files (Jelle van der Waa)
- Refactor the permissions dialog for multiple files editing (Jelle van der Waa)
- dependabot: Ignore all sass 1.x versions (Martin Pitt)
- cockpit-ci: Update container to 2024-12-08 (Cockpit Project)
- dependabot: Don't update major React version (Martin Pitt)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- Makefile: bump default TEST_OS to Fedora-41 (Jelle van der Waa)
- Makefile: Update Cockpit lib to da6175624075fbc0bf20100011f1e090 (Cockpit Project)
